Hello, trying to place room tags, but keep getting the error “TypeError: expected UV, got XYZ”
is there a simple way to extract UV of that point, or the workaround is to create a surface and then get this point UV’s on this surface?
Hello, trying to place room tags, but keep getting the error “TypeError: expected UV, got XYZ”
is there a simple way to extract UV of that point, or the workaround is to create a surface and then get this point UV’s on this surface?
Hi @filip.kabelis,
Is there a reason for not using a package ?
If not, use the Create Tag of the Genius Loci package.
I’ve just tried @Konrad_K_Sobon node Create Annotation Tag, as it seems it has this problem sorted using function
def GetUVPoint(pt):
if type(pt) == Autodesk.DesignScript.Geometry.Point:
return Autodesk.Revit.DB.UV(pt.X, pt.Y)
but I get an error on line 75:
location = Autodesk.Revit.DB.UV(toRvtPoint(k).X, toRvtPoint(k).Y)
List[object] has no attrivute ‘Id’ - i’m guessing it is because im feeding it list of lists and not a flat list
EDIT: @Alban_de_Chasteigner
thanks for replying! I actually get the same error with your GeniusLoci node, seems like it won’t work with list of lists - i’m feeding it a list of views and each view contains some rooms
followup - setting Lacing to Longest does the job for both Archilab and GeniusLoci nodes! thanks for helping out